Skip to main content

List muted participants

Retrieve the list of muted participants in a specific open channel.

Request

POST: https://[Base URL](/platform-chat-api/base-url)/v4/open-channel/participant/mute-list/get

Rate limit: 100 per second

Signature: Required. See API request signature.

Request body

Content type: application/json

ParameterTypeRequiredDescription
channelIdStringYesThe open channel ID.

Request example

HTTP
POST /v4/open-channel/participant/mute-list/get HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/json

{
"channelId": "16"
}

Response

FieldTypeDescription
codeNumberReturn code. 0 indicates success.
resultObjectResult data.
result.mutedParticipantsObject[]Array of muted participants.
result.mutedParticipants[i].participantIdStringMuted user ID.
result.mutedParticipants[i].muteExpiresAtStringMute expiration time, format: YYYY-MM-DD HH:MM:SS. Note: UTC.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 0,
"result": {
"mutedParticipants": [
{
"participantId": "2582",
"muteExpiresAt": "2015-09-25 16:12:38"
}
]
}
}